#include<iostream>
using namespace std;

long long n,li,di,i,d;

int main(){
	cin>>n;
	long long a[n];
	
	for(i=0;i<n;i++)cin>>a[i];
	
	
	di=n-1;
	li=n-1;
	
	
	for(i=n-1;i>=0;i--)if(a[di]<a[i]){
		di=i;
		d=i;
	}
	else if(a[i]<a[di]){
		li=i;
		di=d;
	}
	swap(a[li],a[di]);
	for(i=0;i<n;i++)cout<<a[i]<<" ";
	return 0;
}